<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\User;
use Illuminate\Support\Facades\Auth;
use Laravel\Socialite\Facades\Socialite;

class GoogleOAuthController extends Controller
{
    public function google_login_redirect() {
        return Socialite::driver('google')->redirect();
    }

    public function google_login_callback() {
        $googleUser = Socialite::driver('google')->user();

        $user = User::updateOrCreate([
            'provider_id' => $googleUser->id,
        ], [
            'name' => $googleUser->name,
            'email' => $googleUser->email,
            'provider' => 'google',
            'provider_id' => $googleUser->id
        ]);
     
        Auth::login($user);
     
        return redirect('/home');
    }
}
